## libitext-java 2.1.7

=== debian/changelog ===
libitext-java (2.1.7-8) unstable; urgency=low

  * Team upload.
  * Bumped standards version to 3.9.5 (no changes).
  * Wrap and sort Build-Depends.
  * Add a build dependency on maven-repo-helper.
  * Provide Maven artifacts (Closes: #729010).
  * Add mh_clean to clean target. 

 -- Stephen Nelson <stephen@eccostudio.com>  Mon, 20 Jan 2014 22:59:50 +0000

libitext-java (2.1.7-7) unstable; urgency=low

  * Patched to compile against Bouncy Castle 1.49
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jul 2013 23:57:34 +0200

libitext-java (2.1.7-6) unstable; urgency=low

  * Team upload.
  * Upload to unstable.  (Closes: #710410)

 -- tony mancill <tmancill@debian.org>  Thu, 30 May 2013 23:12:41 -0700

libitext-java (2.1.7-5) experimental; urgency=low

  * Team upload.
  * Update to Standards-Version to 3.9.4 (no change required)
  * Added a patch to compile against Bouncy Castle 1.47 or later.
  * debian/watch: Changed to match only the 2.x releases
  * debian/rules: Added a get-orig-source target

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 Mar 2013 22:47:29 +0100

libitext-java (2.1.7-4) unstable; urgency=low

  * Team upload.
  * Add missing the Class-Path for the java packages.
    - Use javahelper to set the classpath.
    - Use javahelper to compute dependencies.
  * Add versioned (Build-)Dependency on libbcprov-java due to
    #687694.

 -- Niels Thykier <niels@thykier.net>  Sat, 15 Sep 2012 11:02:37 +0200

libitext-java (2.1.7-3) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.
  * Add Build-Depends on gcj-native-helper.
  * Remove Michael Koch from Uploaders list.
    Thanks for your work on this package. (Closes: #654069).

  [ Jari Aalto ]
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Change obsolete default-jdk-builddep to default-jdk. (Closes: #669157).
  * Replace debian/patches/01* template with headers and rename file to
    standard *.patch extension.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix debian-control-has-unusual-field-spacing (Lintian).
  * Fix duplicate-short-description (Lintian).
  * Fix needless-dependency-on-jre (Lintian).
  * Fix missing-classpath (Lintian).

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 17 Apr 2012 18:37:46 -0430

libitext-java (2.1.7-2) unstable; urgency=low

  [ Michael Koch ]
  * Removed Gerardo Curiel from Uploaders (Closes: #553081).

  [ Onkar Shinde ]
  * Move -gcj package from 'Recommends' to 'Suggests' as discussed on Debian
    Java mailing list.
  * Update standards version to 3.8.4.
  * Convert direct code changes to patch.
  * Remove simple-patchsys inclusion from rules file.
  * Convert package to source format 3.0.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Tue, 18 May 2010 20:08:26 +0530

libitext-java (2.1.7-1) unstable; urgency=low

  * New upstream release (Closes: #549347).
  * Build-Depends on libbctsp-java.
  * Build-Depends on debhelper (>= 7).
  * Added missing Depends on ${misc:Depends}.
  * Added Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 02 Oct 2009 21:23:15 +0200

libitext-java (2.1.5-1) unstable; urgency=low

  * New upstream version.
  * Build packages natively compiled for gcj.
  * Handle reading PDF's from stdin.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Apr 2009 23:59:05 +0200

libitext-java (2.1.4-1) unstable; urgency=low

  * New upstream release

 -- Adriaan Peeters <apeeters@lashout.net>  Sun, 23 Nov 2008 12:26:51 +0100

libitext-java (2.1.3-1) unstable; urgency=low

  [Adriaan Peeters]
  * New upstream release (Closes: #447359)
  * Removed patches:
    - debian/patches/01_jpeg_encoder_classpath.patch
    - debian/patches/02_ant_properties.patch
  * debian/control:
    - Added libitext-rtf-java and libitext-rups-java binary packages
    - Added myself to Uploaders
    - Added Homepage
    - Bumped Standards-Version from 3.7.2 to 3.8.0, no changes needed
    - Increased dephelper Build-Depends to >= 5.0.0
    - Only use Build-Depends, do not depend on libservlet2.3-java, ecj
    - Rewrote short and long descriptions
  * debian/rules:
    - Added DEB_ANT_BUILDFILE
    - Removed ANT_ARGS
    - Removed API_VERSION, use DEB_UPSTREAM_VERSION instead
    - Compiled iText.jar is in lib/ instead of build/bin/
    - Use dh_link instead of ln -s
    - Added build targets for libitext-rtf-java and libitext-rups-java
  * Bumped debian/compat from 4 to 5
  * Added debian/watch

  [Matthias Klose]
  * (Build-)depend on default-jre/-jdk.

  [ Torsten Werner ]
  * Add missing Build-Depends.
  * Add myself to Uploaders.
  * Add copyright statement to debian/copyright.
  * Some lintian fixes.
  * Add more copyright and license information to debian/copyright.

 -- Torsten Werner <twerner@debian.org>  Sun, 31 Aug 2008 01:03:45 +0200

libitext-java (1.4.5-3) unstable; urgency=low

  * Build-Depend on ecj instead of ecj-bootstrap. Closes: #442958.

 -- Michael Koch <konqueror@gmx.de>  Tue, 18 Sep 2007 20:57:45 +0200

libitext-java (1.4.5-2) unstable; urgency=low

  * Removed Suggests on libitext-java-doc. This package doesn't exist.
  * Removed two trailing empty lines.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Thu, 02 Aug 2007 07:30:43 +0200

libitext-java (1.4.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules modified due to a new build.xml file
  * Patched Pdfgraphics2d.java to remove privative dependencie on com.sun.image.codec.jpeg.*
    (more information on
    http://developer.classpath.org/mediation/ClasspathMigration#head-d4ee9efe53a641e29ffdcd96e985bf38bbc671c1 )
  * ant/.ant.properties paths fixed
  * Build package with the packages provided by java-gcj-compat-dev
  * Removed unused README.Debian
  * Removed unused debian/patches/01libitext-java-addbuildscript.patch


 -- Gerardo Curiel <gcuriel@debianvenezuela.org>  Thu, 21 Sep 2006 00:08:53 -0400


