=== debian/control ===
Source: libitext-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Adriaan Peeters <apeeters@lashout.net>, Torsten Werner <twerner@debian.org>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant, 
               debhelper (>= 9),
               default-jdk,
               cdbs,
               gcj-native-helper,
               javahelper (>= 0.43),
               libbcmail-java,
               libbcpkix-java,
               libbcprov-java (>= 1.48),
               libdom4j-java,
               libpdfrenderer-java,
               maven-repo-helper
Standards-Version: 3.9.5
Homepage: http://www.lowagie.com/iText/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libitext-java
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libitext-java

Package: libitext-java
Architecture: all
Depends: ${misc:Depends}, libbcprov-java (>= 1.48), ${java:Depends}
Suggests: libitext-java-gcj
Description: Java Library to create and manipulate PDF on the fly
 iText is a library that allows you to generate PDF files on the fly.
 The iText classes are very useful for people who need to generate read-only,
 platform independent documents containing text, lists, tables and images.
 The library is especially useful in combination with Java(TM)
 technology-based Servlets: The look and feel of HTML is browser dependent;
 with iText and PDF you can control exactly how your servlet's output will look.

Package: libitext-java-gcj
Architecture: any
Depends: libitext-java (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Java Library to create and manipulate PDF on the fly
 iText is a library that allows you to generate PDF files on the fly.
 The iText classes are very useful for people who need to generate read-only,
 platform independent documents containing text, lists, tables and images.
 The library is especially useful in combination with Java(TM)
 technology-based Servlets: The look and feel of HTML is browser dependent;
 with iText and PDF you can control exactly how your servlet's output will look.
 .
 This package contains the natively compiled code for use by gij.

Package: libitext-rtf-java
Architecture: all
Depends: libitext-java (= ${binary:Version}), ${misc:Depends}, ${java:Depends}
Description: Java Library to create and manipulate RTF files on the fly
 iText RTF is a library that allows you to generate RTF files on the fly in
 a similar fashion to iText itself.

Package: libitext-rups-java
Architecture: all
Depends: libitext-java (= ${binary:Version}), ${misc:Depends}, ${java:Depends}
Description: graphical tool for Reading and Updating PDF Syntax (RUPS)
 iText RUPS provides a GUI for visualizing PDF files and investigating their
 internal structure.
