=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
ANT_HOME             := /usr/share/ant
DEB_ANT_BUILD_TARGET := jar jar.rtf jar.rups
DEB_ANT_CLEAN_TARGET :=
DEB_ANT_BUILDFILE    := src/build.xml
DEB_JARS             := bcprov bcmail bcpkix dom4j pdfrenderer
CORE_CLASS_PATH      := /usr/share/java/bcprov.jar /usr/share/java/bcmail.jar /usr/share/java/bcpkix.jar 
RTF_CLASS_PATH       := /usr/share/java/itext.jar /usr/share/java/pdfrenderer.jar /usr/share/java/dom4j.jar
RUPS_CLASS_PATH      := /usr/share/java/itext.jar

include /usr/share/gcj/debian_defaults
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs)))
  with_gcj_native := yes
endif

LIBRARY_PACKAGE      := itext

makebuilddir/lib$(LIBRARY_PACKAGE)-java:: debian/stamp-makebuilddir
debian/stamp-makebuilddir:
	ln -s . src
	mkdir lib
	touch $@

install/lib$(LIBRARY_PACKAGE)-java::
	dh_installdirs -plib$(LIBRARY_PACKAGE)-java usr/share/java
	# Add Class-Path
	jh_manifest -c "$(CORE_CLASS_PATH)" lib/iText.jar
	install -m 644 lib/iText.jar debian/lib$(LIBRARY_PACKAGE)-java/usr/share/java/$(LIBRARY_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar
	dh_link -plib$(LIBRARY_PACKAGE)-java usr/share/java/$(LIBRARY_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar usr/share/java/$(LIBRARY_PACKAGE).jar
	jh_depends -plib$(LIBRARY_PACKAGE)-java
	mh_installpoms -plib$(LIBRARY_PACKAGE)-java -e$(DEB_UPSTREAM_VERSION) 
	mh_installjar -plib$(LIBRARY_PACKAGE)-java -l -e$(DEB_UPSTREAM_VERSION) ant/pom.xml debian/lib$(LIBRARY_PACKAGE)-java/usr/share/java/$(LIBRARY_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar 

install/lib$(LIBRARY_PACKAGE)-rtf-java::
	dh_installdirs -plib$(LIBRARY_PACKAGE)-rtf-java usr/share/java
	# Add Class-Path
	jh_manifest -c "$(RTF_CLASS_PATH)" lib/iText-rtf.jar
	# install
	install -m 644 lib/iText-rtf.jar debian/lib$(LIBRARY_PACKAGE)-rtf-java/usr/share/java/$(LIBRARY_PACKAGE)-rtf-$(DEB_UPSTREAM_VERSION).jar
	dh_link -plib$(LIBRARY_PACKAGE)-rtf-java usr/share/java/$(LIBRARY_PACKAGE)-rtf-$(DEB_UPSTREAM_VERSION).jar usr/share/java/$(LIBRARY_PACKAGE)-rtf.jar
	jh_depends -plib$(LIBRARY_PACKAGE)-rtf-java

install/lib$(LIBRARY_PACKAGE)-rups-java::
	dh_installdirs -plib$(LIBRARY_PACKAGE)-rups-java usr/share/java
	# Add Class-Path
	jh_manifest -c "$(RUPS_CLASS_PATH)" lib/iText-rups.jar
	install -m 644 lib/iText-rups.jar debian/lib$(LIBRARY_PACKAGE)-rups-java/usr/share/java/$(LIBRARY_PACKAGE)-rups-$(DEB_UPSTREAM_VERSION).jar
	dh_link -plib$(LIBRARY_PACKAGE)-rups-java usr/share/java/$(LIBRARY_PACKAGE)-rups-$(DEB_UPSTREAM_VERSION).jar usr/share/java/$(LIBRARY_PACKAGE)-rups.jar
	jh_depends -plib$(LIBRARY_PACKAGE)-rups-java

ifeq ($(with_gcj_native),yes)
install/libitext-java-gcj:: install/libitext-java
	AOT_GCJFLAGS=-fno-indirect-classes dh_nativejava -plibitext-java-gcj
endif

clean::
	dh_testdir
	dh_testroot
	mh_clean
	-rm -rf build src lib debian/stamp-*

get-orig-source:
	uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename
