=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
        http://svn.code.sf.net/p/itext/code/tags iText_(2)_([\d_]+)/ debian debian/orig-tar.sh
